Skip to main content
PATCH
Update a customer.

Authorizations

x-api-key
string
header
required

LedgerUp API Key.

Path Parameters

customer_id
string<uuid>
required

Customer UUID. LedgerUp customer UUID.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

Body

application/json

Update-customer request. Unknown JSON fields are rejected. Omitted fields are unchanged.

name
string

Customer name. Maximum 256 Unicode scalar values.

Maximum string length: 256
Example:

"Acme"

external_id
string | null

Optional caller-supplied external identifier. Send null to clear.

Maximum string length: 256
Example:

"crm_acme_001"

stripe_customer_id
string | null

Optional Stripe customer identifier. Send null to clear.

Maximum string length: 256
Example:

"cus_NffrFeUfNV2Hib"

quickbooks_customer_id
string<uuid> | null

Optional QuickBooks customer UUID. Send null to clear.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

Response

Updated.

id
string<uuid>
required

Customer UUID.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

name
string
required

Customer name.

Maximum string length: 256
Example:

"Acme"

external_id
string | null
required

Optional caller-supplied external identifier.

Maximum string length: 256
Example:

"crm_acme_001"

stripe_customer_id
string | null
required

Optional Stripe customer identifier.

Maximum string length: 256
Example:

"cus_NffrFeUfNV2Hib"

quickbooks_customer_id
string<uuid> | null
required

Optional QuickBooks customer UUID.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

created_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600

updated_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600